\documentclass{MHM2_lectures}

\usepackage{amsfonts}

\newcommand{\vek}[1]{{\boldsymbol #1}}
\newcommand{\phs}[1]{^{(#1)}}
\newcommand{\fl}{'} % Fluctuation

\newcommand{\x}{\vek{x}}
\newcommand{\atx}{\ensuremath{(\x)}}

\newcommand{\RVE}{\ensuremath{\mathcal{Y}}}
\newcommand{\boundary}{\partial\RVE}

\newcommand{\trn}{^T}

\newcommand{\potential}{\ensuremath{u}}
\newcommand{\intensity}{\ensuremath{\vek{e}}}
\newcommand{\intensityFluct}{\intensity\fl}
\newcommand{\intensityMacro}{\ensuremath{\vek{E}}}
\newcommand{\flux}{\ensuremath{\vek{\jmath}}}
\newcommand{\fluxMacro}{\ensuremath{\vek{J}}}
\newcommand{\de}{d}
\newcommand{\volavg}[1]{\langle #1 \rangle}
\newcommand{\setRn}[1]{\mathbb{R}^{#1}}

\begin{document}
    
\maketitle{5}{Periodic Boundary Conditions}

\tableofcontents


\section{Boundary conditions}
%
\begin{itemize}
	%
	\item Choice of $\mathcal{E}\fl_{\bullet}$ matters. In all cases, $\mathcal{E}\fl_{\bullet} \subseteq \mathcal{E}\fl = \left\{ \vek{v}\fl: \RVE \rightarrow \setRn{d}; \forall \vek{v}\fl, \exists \potential \in \setRn{} \,\, \textrm{s.t.} \,\, \vek{v}\fl = - \nabla \potential; \volavg{\vek{v}\fl} = \vek{0} \right\}$
	%
	\item With FEM, the numerical problems are solved for $\potential\atx$ (or $\potential\fl\atx$)
	\subitem $\intensityMacro + \intensityFluct\atx = \intensity\atx = - \nabla \potential\atx = -\nabla \potential^{\intensityMacro}\atx - \nabla \potential\fl\atx$
	%
	\item Most common BC used to ensure Hill's lemma and $\volavg{\vek{v}\fl} = \vek{0}$
	%
	\begin{itemize}
		\item Dirichlet BC $\leadsto$ $\mathcal{U}_{D}$
		\subitem $\potential\atx = - \intensityMacro\trn\x, \quad \forall \x \in \boundary$
		\subitem $\potential\fl\atx = 0, \quad \forall \x \in \boundary$
		%
		\item Periodic BC $\leadsto$ $\mathcal{U}_{P}$
		\subitem $\boundary = \boundary_{s} \cup \boundary_{i}$ with $\mathcal{I}: \boundary_{s} \rightarrow \boundary_{i}$
		\subitem 
		\begin{equation}
			\potential\left(\mathcal{I}\atx\right) = \potential\atx - \intensityMacro\trn (\mathcal{I}\atx - \x), \forall \x \in \boundary_{s}
			\label{eq:PBC}
		\end{equation}
		\subitem $\potential\fl\left(\mathcal{I}\atx\right) = \potential\fl\atx, \forall \x \in \boundary_{s}$
		%
		\item Neumann BC / minimal boundary conditions $\leadsto$ $\mathcal{U}_{N}$
		\subitem surface load prescribed in the form $t = \vek{n}\trn \fluxMacro, \forall \x \in \boundary$
		\subitem enforce $\volavg{- \nabla \potential\fl} = \vek{0}$
		%
	\end{itemize}
	%
	\item From the variational form and the hierarchy of admissible spaces $\mathcal{U}_{D} \subseteq \mathcal{U}_{P} \subseteq \mathcal{U}_{N}$ follows
	\begin{equation*}
		\vek{L}^{\mathrm{app},N} \preceq \vek{L}^{\mathrm{app},P} \preceq \vek{L}^{\mathrm{app},D}
	\end{equation*}
	%
\end{itemize}

\section{Implementation of PBC}
%
\begin{itemize}
	%
	\item Particular choice of the implementation depends on the level of intrusiveness one can afford
	%
	\item Two major options (with one additional flavour):
		%
		\begin{enumerate}
			%
			\item Formulate in $\potential\fl\atx$ and collapse corresponding DOFs
			%
			\item Enforce (\ref{eq:PBC}) via Lagrange multipliers
			%
			\item Combine Lagrange multipliers with control points
			%
		\end{enumerate}
\end{itemize}

%\Reference

\Acknowledgement

\end{document}